Welcome

What Is AirNav ShipTrax?

AirNav ShipTrax is the most advanced Windows based Ship Tracking application. Being able to receive ship data from various sources you will be able to track ships all over the world in real-time.

This product is something never seen in the marine community and results from a 15 year experience in the development of high-tech award winning aviation solutions.

Details shown include Ship Name, Position, Photo, Navigation data (location, speed, track), IMO/MMSI/Callsign, Ship Type and dimensions. The MyLog feature maintains a database of all received ships, last known position and voyage details.


Main Features

AirNav ShipTrax - Main Features

Hardware:

· Real-Time Radar AIS decoder
· Superior receiver sensitivity
· No need for an external power supply (USB connection only)
· 12V Power supply for USB and Ethernet connection
· USB connection
· Ethernet connection
· RS232 Serial connection
· Light weight easy to carry aluminum box

Software:

· Track Ships in real-time
· Minute by Minute updates on MMSI, IMO, altitude, speed, heading and vertical speed
· Based on the award winning AirNav Systems 3D multi-window map interface
· Easy plug and play USB connection - no complex time consuming setup
· AIS Data sharing output is available on Port 40004
· Automatically Imports Outline Files (.out)
· Real-Time photos of tracked Ships
· Export data and generate reports
· Share screen shots or send logs automatically to your friends
· MyLog feature: log all and share with your friends all the Ships you receive
· Alert generation for specific Ships or in-range Ships
· Player to review Ship recordings

Maps:

· High definition worldwide map layer
· More than 1 million map locations including detailed shore lines, country boundaries and cities
· Quick locate feature
· Worldwide elevation data

Requirements:

· Microsoft Windows
· PC with 400 Mhz processor (higher recommended)
· 128 MB RAM
· One Available USB Connection
· 50 MB Hard Disk Space Available for Installation
· CD-ROM Drive

Package Contents:

· ShipTrax Hardware Unit
· USB Cable
· Antenna
· Quick Installation guide
· Setup Wizard CD with ShipTrax Software

Visit AirNav Homepage for more information and Screen Shots.


What Will I See?

The AIS equipment which generates the signals which are detected and displayed by ShipTrax, is fitted to All ships over 300GT by law and is optional for smaller ships.

What will not show on ShipTrax?

Small Ships, Without AIS equipment, will not be displayed. Any ship under 300GT is not required to use any form of AIS so will only be equipped if the owner decides to install it. Also occasionally a ship over 300GT may be permitted to switch off its AIS equipment for security reasons.


Hardware Installation

 Top Previous Next

AirNav ShipTrax - Installation

If you need any help during the installation process visit AirNav Systems support page

The AirNav ShipTrax system is made up of two parts.

· The hardware - consisting of the receiver, antenna and cables
· The software - delivered on CD or downloaded as an update from the AirNav website

You must install the software first. Once the software installation is complete, you can then install the hardware. ShipTrax uses device drivers supplied on the CD. It is vital that these drivers are installed, otherwise ShipTrax will not function. Follow the below steps to correctly install ShipTrax and start tracking Ships in real-time on your computer. For help in troubleshooting the driver installation, see the Troubleshooting section.

USB Interface -

1. Run the setup.exe file located on the root folder of the provided CD. Follow registration instructions paying special attention to the User Agreement.

2. After the software installation is complete connect the USB cable from the hardware to your computer. Windows will detect that AirNav ShipTrax is connected.

3. Under "How do you want to search for driver software?" select "Browse my computer for driver software". Click "Next".

4. . Browse for the folder that contains ShipTrax drivers. It is located on a folder named "drivers" that is inside the folder where AirNav ShipTrax software has been installed.

The standard location of the AirNav drivers is "C:\AirNav Systems\AirNav ShipTrax\Drivers". Click "Next".

5. Driver installation will start. If the window below appears click "Install this driver software anyway".

6. That's it! The hardware has been installed successfully. Click the "Finish" button.

Serial Interface -

1. Connect the 12V DC power supply to the "DC 12V" socket on the Hardware.

2. Connect a RS232 Serial Cable between the Serial port on the Hardware and your computer.

Ethernet TCP/IP Interface -

The instructions below are to make a simple connection to your Broadband router that means you can use ShipTrax on any computer connected to the router.

1. Connect the 12V DC power supply to the "DC 12V" socket on the Hardware.

2. Connect a Ethernet cable between the hardware and your Router.


Software Installation

 Top Previous Next

AirNav ShipTrax - Installation

1. Double click on the ShipTrax Icon on the desktop.

2. Enter your username and password and click start.

3. Click on File => Preferences

4. Click on the home station data tab.

5. Enter your location (For most accurate results enter Latitude/Longitude of your house from a GPS or an online mapping service in decimal format with a minus sign before the latitude if you are south of the equator and a minus sign before the longitude if you are west of the Greenwich Meridian.

6. Enter your Name, nearest town/city, country and Email.

7. Click on the ShipTrax Tab.

USB and Serial RS232 configuration.

The USB connection is a virtual Com port so is configured same way as a Serial RS232 connection.

8a. Select the Com (Serial) port ShipTrax is connected to.

9a. Click OK.

10a. The Hardware status indicator below the list interface should now show connected.

Ethernet TCP/IP configuration.

8b. Enter the IP and Port that has the AIS data you want to view. In the case of the Local Ethernet connection detailed in the Hardware Installation section the port is 10110 and the IP is 192.168.1.250

9b. Click OK.

10b. The TCP/IP status indicator below the list interface should now show connected.


Hardware Guide

In this section you will find the meaning of the three hardware lights (LED) that your ShipTrax hardware contains.

Hardware Lights

Normal Operating:

Under operating normal conditions (hardware connected to your computer, drivers correctly installed and software running) the green light will be always on, the blue light will flicker on each time data is being transferred from the hardware to your computer and the white light will flicker on each time there is data being received from Ships.

Green LED:

This is the most important light. When on it means that hardware is properly powered. AirNav ShipTrax hardware uses power from your USB connection or 12v DC supply. In normal conditions this light should always be on. If it is not on, there may be a problem with your USB cable. See Troubleshooting for more help.

Blue LED:

This LED indicates the status of the USB connection as shown below. Note that under normal conditions (hardware on, drivers installed and software working) the blue light will blink anytime data is being transferred by USB between the hardware and your computer.

· Blue LED Blinking at a one time per second:
The Hardware is in firmware update mode. Unless you are intending to update the firmware on the advice of AirNav Systems press reset or disconnect and reconnect power to enter normal mode.

**Warning** Updating the firmware apart from when recommended by Airnav Systems will Void any part of your warranty.

· Blue, Yellow and White LEDs are Blinking Quickly (approximately five times per second)
The hardware is properly powered by USB or 12v DC but the Product configuration stored in flash is corrupted. Contact AirNav Support to arrange a repair.

· Blue LED Off
If the light is permanently off (and the green light is permanently on) then the hardware is ready to start working but there are no ships in range or the ShipTrax hardware is connected by ethernet TCP/IP or serial RS232

White LED:

The white LED Blinks whenever a AIS signal is received from a ship and decoded with success. The more this LED blinks the more information is received from a ship.


Antenna Positioning

ShipTrax comes with a small magnetic base antenna and this antenna has been selected for its excellent performance when used with the hardware receiver and AirNav software. Correct positioning of the antenna is essential in order to gain maximum performance as AIS signals are transmitted in the Marine Very High Frequency band. At this frequency, signals travel by "line of sight" and are affected by any obstructions such as buildings, trees and hills. This means that if anything comes between you and the Ship, then that Ship will probably not be displayed by ShipTrax. In order to achieve maximum performance and to ensure good range and coverage, the following points should be noted:

· The ShipTrax antenna is not an External antenna.
· The higher the antenna, the better the performance.
· Performance is enhanced by a "ground-plane" which is simply a metal disk the size of a CD or larger. Attach the magnetic antenna to the center of the disk
· The longer the feed cable, the poorer the performance.

Whilst ShipTrax can work perfectly acceptably with the antenna sitting on a window ledge, you should always try to find the highest and clearest position. A skylight window is an ideal location for the antenna. If you have ShipTrax installed on a laptop computer, then you will be able to move the laptop, ShipTrax and antenna to find the position that gives the best performance. An external antenna connected by a long feeder cable can improve performance, however, the advantage of the high antenna can be completely overcome by losses in the cable. If you wish to use a long feeder cable, you must use high quality, low-loss cable. Note that such cable tends to be thick, inflexible and expensive.

A signal pre-amplifier may improve ShipTrax performance, however, the amplifier must be capable of working at 162 MHz. The performance of a poorly sited antenna will not be improved by a pre-amplifier. It is recommended that you experiment with the standard ShipTrax antenna before considering an external antenna and/or a pre amplifier. Moving the antenna only a small distance can make a significant difference in performance. Remember that height is everything, but not at the expense of a long 'lossy' feeder cable.

Use the Maximum Range Polar Diagram to see how well you have positioned you antenna. Clear the polar diagram before starting this test - File | Preferences | General | Clear/Reset Polar Diagram.

Above: Display the Polar diagram

Above: Display the Polar diagram

Leave ShipTrax running for at least 24 Hours to allow the polar diagram to build up.

Above: A polar diagram

Above: A polar diagram


Quickstart Tutorial

AirNav ShipTrax - Quickstart Tutorial

This set of step by step instructions will guide you through the most important application features.

Note: information between [...] means that the command mentioned can be found in AirNav ShipTrax Menus.

Example: [Tools|Internet|Download Updated Data Now] points you to click on Tools menu, Internet topic, Download Updated Data Now subtopic.

Step by Step Tutorial

1- Start the software using the windows Shortcut created on your Start Menu or Desktop.

2. The Welcome Window will be shown. Enter your Username and Password then click the "Start" button. You can 'tick' the Remember password checkbox to save you having to type your details every time you start ShipTrax. The connection to the Hardware will be started and if you are a subscriber of AirNav ShipTrax Network feature, the software will try to download network data.

3- The first time you run ShipTrax, the main software window with a world map will be shown as illustrated below. Dynamic 3D maps are one of AirNav ShipTrax most important features. You are now going to explore some of the capabilities.

4- First task: you will center the map at your home location, zoom in and save it as your default map.
To center the map at any location let's use the "Locate" feature. It easily centers the map on any airport, city or navigation facility all over the world.
Imagine you are located near Rotterdam. Select "Rotterdam, Netherlands" in the locate drop-down list. This box it at the top of the main screen as on the screen shot below. After this click the Locate button. The map will now be panned so that Rotterdam appears at the center.

5- Now Zoom in until more detailed view of the Rotterdam area is shown. You can do this by clicking the zoom in button on the map toolbar. The easiest way to pan/zoom your maps is by using your mouse buttons. Left click anywhere in the map and 'drag' the map to the desired location.

6- Save your map by going to [Map |Open/Save | Save Map]. Answer Yes to the "Are you sure you want to overwrite your default map file?". This map will be the one that will be always shown after the application is started.

7- All map functions are located on the map menu or on the map toolbar on the top of the main window. You can also right mouse click over any map to access map functions in a faster way, including setting you home location. On these menus there are several map layers that you can choose to be hidden or visible. These are layers like roads, geographic coordinates, cities and elevations. See the Maps Toolbar section for more information on working with maps.

8- Now let's have a look at the ShipTrax Interface panel. This is where all the action will take place. It is divided into 5 tabs.

· MyShips: where all the ships received using your hardware and/or TCP/IP will be shown. A grid will show as many Ship details as possible, from Ship name to MMSI. Photos and Ship details will appear on the bottom of this tab.
· Network: all AirNav ShipTrax Network Ships (received from other ShipTrax users) will be shown on this tab.
· MyFleet: Selected Ship list, chosen by IMO, MMSI, Ship Name and Callsign
· Alerts: you could receive an email each time a specific user set condition is received by your decoder.

9- In addition to the 5 tabs, you can also access the MyLog and Reporter functions.

· MyLog: a collection of all ships received by your ShipTrax will appear on this tab (Network and TCP/IP Ships are not recorded in MyLog). Data can be imported and exported from the MyLog Tools menu.
· Reporter: an easy interface for you to share your reports with other AIS users.

10- At the bottom of the ShipTrax interface notice the connection status. You can monitor here if the hardware is properly connected to your computer and to the ShipTrax Network.

11- To connect to ShipTrax Network make sure you are connected to the internet and you have a valid account. If both conditions are met go to the Network Tab on the ShipTrax Panel Interface and check the "Receive ships From ShipTrax Network" check box.

For more features refer to the following topics in the Help/Manual:

Creating Alerts

Creating Reports

Using Filters

Data Recorder / Playback


AirNav ShipTrax Network

Introduction

AirNav ShipTrax Network is a feature that enables you to view data other ShipTrax users are receiving all over the world at the same time as displaying your own ships.

How does it work? Each AirNav ShipTrax user can share their live data with other users. Live data will be processed and after passing some validation algorithms it is then stored in a queue for upload to the AirNav server. Data is then uploaded 5 minutes after it has been received. On our server we have a powerful application called "AirNav Network Server" which processes up to 10000 AIS messages per second at peak periods. Data is then organized and properly processed and an output file is created. Each connected client will then automatically download the updated list of network ships. This list often has more than 5000 Ships worldwide and the list is growing daily as more users install ShipTrax and share their data.

You will be able to track ships over Europe, North America, Asia, South America and more: in other words you will be able to see ships wherever there is a ShipTrax user.

What details will I see for each Ship?

For each Ship you will see:

· Changed: Last Time (UTC) the Ship Information was changed
· Tracked: Last Time (UTC) tracking information was received
· Binoculars Icon: shown if the Ship has a photo
· Globe Icon: shown if the Ship is being shown on the map
· Status: status of the Ship (NA means not available)
· Callsign: Ship's Callsign
· Flag: Country flag of the Ship's registration
· Name: Ship's Name
· Ship Type: Type of ship (Cargo, passenger etc)
· Dest: Destination that the ship is broadcasting by AIS
· Ln: Length of the ship in meters
· Bm: Beam of the ship in meters
· Dr: Draught of the ship in meters
· Spd: Speed of the ship in Knots
· Crs: Course
· Hdg: Heading
· IMO: IMO number of the ship
· MMSI: MMSI number of the ship
· Latitude
· Longitude
· Country: Country ship is registered to.
· ETA
· GPS Bow: distance the GPS is from the bow
· GPS Port: distance the GPS is from the port
· GPS Stern: distance the GPS is from the stern
· GPS Starboard: distance the GPS is from the starboard
· TypePosFix: Type of positioning system – such as GPS, DGPS or LORAN-C.
· DTE Flag
· Nav Status
· Rate Of Turn
· Pos Acc: Position Accuracy
· Dist (NM): Distance from home.
· Brg: Bearing from home.

Connecting to the Network

To connect to AirNav ShipTrax network you need to have your computer connected to the internet and have a valid network account . Open the ShipTrax Interface if not already open and go to the Network tab and make sure that the "Receive ShipTrax Network Data" check box is ticked. Look at the Network connection status light at the bottom of the ShipTrax Interface panel. Data is downloaded each 10 minutes.


Creating Alerts

One of the most important features of AirNav ShipTrax is that you can program the software to trigger alerts for certain circumstances. For example, you can have the program to automatically send an email message when The "Harald" is received. The Alert feature can be accessed on the ShipTrax Interface. If it not shown open it from the program menu [ Tools | Interface | Show/Hide].

How does it work?

The alert feature is divided in two parts:

· Conditions that will trigger an alert
· Type of Alert

There are five types of conditions to trigger an alert:

· Ship Name: when a Ship with a specific Name has been received an alert is triggered
· IMO: when a specific IMO is received
· Range: when a Ship is less that a defined number of miles from a specified location
· MMSI: to trigger an alert when a defined MMSI is received
· Callsign: when a Ship with a specified callsign appears on the system

There are four types of alerts

· Play a Sound: a sound is played when an alert is triggered. The sound file can be specified using the browse key
· Show a notification message: a windows notification window opens on the bottom right corner of the screen
· Send an email: an email is sent to a specific email address
· Execute a file

If you wish Network traffic to trigger an alert, tick the "Activate Alerts for Network Ships" box.

Note that you can use wildcards to specify conditions. For example if you want your computer to play a sound whenever a Maersk ship has been received enter Maersk* in the Ship Name condition.

On the bottom of the Alert tab you will also see the alert log box. This will keep a log of the alerts sent for you to check.

Example of an Alert

Let's imagine we want an email message to be sent to "johnsmith@email.com" whenever a Maersk ship is received.

1- Check the Ship Name check box to activate this type of alert condition

2- Type 'Maersk*' on the Ship Name alert box

3- Check the "Send an Email to the following addresses:" option

4- Type the email address on the email address box

5- That's it. When any ship with a name starting with Maersk is first received by the system an email address will be sent to the specified email address.


MyLog Database

ShipTrax includes a highly flexible SQL database which records all Live Ships detected by the receiver. Network and TCP/IP data is not recorded.

Ships are displayed in a grid, and the following information is available:

· Name
· Callsign
· Ship Type
· Length
· Beam
· MMSI Country
· MMSI
· First date and time the Ship was detected
· Last date and time the Ship was detected
· Comments entered by user

When the Ship is selected by clicking on the appropriate line, all the Voyages recorded for that Ship are shown in the lower portion of the MyLog window, and the photo or photos for that Ship are shown to the right.

MyLog Quick Filter

Ships can be searched by using the Quick Filter above the Ship grid. For example, to find all passenger ships , select cargotype = 60passenger

MyLog Tools

A number of options are available from the MyLog Tools Menu.

· Export to CSV: Exports to a comma delineated file for import into MS Excel or MS Access
· Empty MyLog Tables: Clears all records from the database
· Close: Closes the MyLog window


Creating Reports

AirNav ShipTrax has an embedded report feature. This makes it easier to you send reports of received Ships to your friends or to an internet mailing list. To access this feature use the Reporter Button, or MyLog | Reporter. Ships detected by your ShipTrax receiver are listed in date/time order.

How to send a report

1- Select Data to include in the report

First you need to specify the data range for the report, the choices are today's entries or yesterday's entries.

2- Generate the Report

Click the generate report button. Once the report is generated you will need to specify what you want to do with it.

3- What to do with the report

· Copy to clipboard
· Save to file as a .txt file
· Send by email

Example of a generated report:

Report generated by AirNav ShipTrax

Advanced Ship Tracking Software

http://www.airnavsystems.com

Log Author: XXX

Location: XXX

Country: XXX

Generated at 2011/04/30 15:47:09 UTC

Valid for 2011/04/30

9 Ships Logged

Name MMSI IMO Type Country Destination Date and Time

* BRO GALAXY 244089000 9229063 80Tanker Netherlands OSLO 2011/04/30 13:09:09

PENTALINA 235061705 9437969 60Passenger United Kingdom ST MARGARETS HOPE 2011/04/30 13:09:37

KARIN 235084524 34Diving Ops United Kingdom 2011/04/30 13:15:54

VOE VIKING 235008930 52Tug United Kingdom 2011/04/30 13:18:50

VIKING MONARCH 232116000 30Fishing United Kingdom 2011/04/30 13:19:10

* GROUND STATION 2320711 2011/04/30 13:38:36

* WILSON CORK 314180000 9178460 70Cargo Barbados ROTTERDAM 2011/04/30 14:20:10

* SILVER FJORD 357903000 8300327 79Cargo SCRABSTER 2011/04/30 14:27:11

* PASCHA 538002637 9401477 79Cargo Marshall Islands IMMINGHAM 2011/04/30 14:58:10

New Ship entries have the symbol *

--- End of Report ---

Note: If you require more specific data, use MyLog and the Quick Filter before exporting data via the Tools menu.


Viewing Ship Photos

You can view all the Ship photos in the MyLog database by selecting the All Photos tab. Ships are displayed in alphabetical order by registration.

Above: Click on the "Explore Photo Folder" button to go to the folder.

Above: Click on the "Explore Photo Folder" button to go to the folder.

Note that Ship pictures are saved in jpg format by MMSI, for example 204701360.jpg


Using Filters

You can choose what ships to be displayed on the map by using the filters utility. It can be accessed on the filter toolbar at the top of the application main screen.

To specify a filter type the filter condition on the white filter boxes and click the filter tool button just left of it so that it is in the down (checked) condition. This means that the filter is active.

There are two type of filters available:

· Ship Name: show only a ship with a specific name on the map.
· Destination: show only ships with a specific destination on the map.


MyFleet

MyFleet is a very useful tool which allows you to follow specific Ships.

Click on the Setup button to open the Fleet Watch Setup input window. Individual ship names, IMOs, MMSIs or callsigns can be entered with "*" being used as a wildcard to allow groups of Ships to be seen. Click Apply Changes to activate. When the MyFleet tab is selected (see above) only those ships that meet the criteria in the Fleet Watch Setup window will show in the MyFleet list. It you select Show Only Feet Watch Ships on Map, then all other Ships will be filtered out


Data Recorder / Playback

The AIS data recorder feature enables you to record and playback Ship movement files. This feature is accessible on the File menu.

AIS data files contain a AIS message on each line. Their extension is .AIS.

The format of the Messages in the files are a timestamp (YYYYMMDDHHMMSS) followed by a raw NMEA AIS Sentence.

Examples:
20101213122538!AIVDM,1,1,,B,13P8Jah000OiI2JQbS1WlHM>08G6,0*03

20101213122540!AIVDM,1,1,,A,4h2=aSAuc6dI`Oj9`NQh<n100<0Q,0*5E

20101213122545!AIVDM,1,1,,A,4h2=aB1uc6dIawhSATQT`>W00@He,0*33

20101213122545!AIVDM,1,1,,B,Dh2=aS@jTN?`00N01>9N000,2*6F

20101213122549!AIVDM,1,1,,A,13P8Jah000OiI2>QbS1We8MT00Ru,0*39

20101213122554!AIVDM,1,1,,B,4h2=aSAuc6dIjOj9`PQh<mi008Mt,0*4E

20101213122554!AIVDM,1,1,,B,4h2=aB1uc6dIkwhSATQT`>W00@NT,0*0D

20101213122554!AIVDM,1,1,,A,B3M@KKh0HGt>mA8Kcn<OkwrUoP06,0*64

20101213122600!AIVDM,1,1,,A,Dh2=aB06dN?`00N01>9N000,2*61

20101213122600!AIVDM,1,1,,B,13P8Jah000OiI22QbS18=pL008S3,0*63


Shiptrax configuration

 Top Previous Next

The ShipTrax device contains different settings that can be changed in order to adapt it to different usage environments. This section presents a description of the steps required to change these settings.

The configuration is based on the exchange of simple text messages between the ShipTrax device and a host computer. A serial terminal/console program like Windows Hyper Terminal is required for this purpose.


communication session

Setting up a communication session with the device

The device configuration can be performed through the serial/RS-232 interface (9 pin DB9 connector) or through the USB interface. Since in both cases the ShipTrax device is listed by the host computer as a serial communications port (COM), the configuration steps will be the same independently of the used interface.

To establish a configuration session, follow the steps below:

1. Close any application that might use or be using the serial port used by the ShipTrax device. This includes the AirNav ShipTrax Software.

Note: You can used the Windows Device Manager to find the serial port your device is using, by searching a serial port with AirNav ShipTrax Communications Port as description. Please note that the device needs to be connected to the host computer and powered in order to be listed in the Device Manager

2. Connect the ShipTrax device to the host computer. Use an appropriate cable according to the interface you are using (Serial/RS-232 or USB)

3. Ensure the ShipTrax device is powered. The Power LED will be ON.

Note: You need to connect the DC adapter to the hardware if you are using the serial/RS-232 interface. If you are using USB, depending on the power availability of the port of the host computer, you may also have to connect the DC adapter

4. Disconnect the antenna from the ShipTrax device.

Note: Don't forget to reconnect the antenna once you have finished the device configuration

5. Open the serial terminal/console program on your host computer (example: Hyper Terminal)

6. Set the serial port configuration settings as listed below:

Baud rate: 38400

Data bits: 8

Stop bits: 1

Parity: None

Flow control: None

7. Apply the settings. The port will now be open

Note: Some programs open automatically the port when you apply the port configuration settings. If the port is not opened, follow the instructions of the user manual of the serial terminal/console program you are using to open a port with the settings indicated above.

At this stage everything is prepared to start the device configuration. The next section will list the different settings that can be configured and the commands that perform this configuration


Configuring ShipTrax

Configuring the ShipTrax Device

The ShipTrax device has two modes of operation: normal mode and configuration mode.

In normal mode the ShipTrax device sends received data to the different output interfaces (serial/RS-232, USB and Ethernet). This is the default mode used by the AirNav ShipTrax Software to track vessels.

This mode allows only a limited set of control commands that perform the following actions:

· Retrieve device information (Firmware version, serial number, MAC address)
· Start the configuration mode

In configuration mode it is possible to change different settings of the ShipTrax device. A wider range of control commands is supported, allowing the following actions to be performed:

· Set default IP address of the Ethernet interface
· Set default IP mask of the Ethernet interface
· Set default gateway of the Ethernet interface
· Set default primary DNS server of the Ethernet interface
· Set default secondary DNS server of the Ethernet interface
· Set NetBIOS name associated to the Ethernet interface
· Enable/disabled embedded DHCP server and client
· Set TCP/IP port used for data exchange over the Ethernet interface (NMEA port)
· Restore factory default configurations

The default IP address, IP mask, gateway, primary and secondary DNS server are used as active configuration in the following situations:

· DHCP server is enabled
· DHCP server and client are both disabled

Tables XXX and YYY list the commands available for each mode.

Note: Some commands have restrictions regarding the settings they change. Explaining the restrictions associated to these settings is beyond the scope of this manual. Documentation associated to the internet protocols shall be consulted.

Table XXX – Normal mode commands

 | Command | Response on success | Response on failure
Get device identification | shsys,ident | 4 lines with information | No response
Enter configuration mode | shcfg,enter | OK | No response

Table YYY – Configuration mode commands

 | Command | Response on success | Response on failure
Set IP Address (Note 1) | shcfg,ipaddr,<n1>.<n2>.<n3>.<n4> | OK | ERR
Set IP Mask (Note 1) | shcfg,ipmask,<n1>.<n2>.<n3>.<n4> | OK | ERR
Set Gateway (Note 1) | shcfg,gateway,<n1>.<n2>.<n3>.<n4> | OK | ERR
Set Primary DNS server (Note 1) | shcfg,pdnss,<n1>.<n2>.<n3>.<n4> | OK | ERR
Set Secondary DNS server (Note 1) | shcfg,sdnss,<n1>.<n2>.<n3>.<n4> | OK | ERR
Set NetBIOS Name (Note 2) | shcfg,nbiosn,<string> | OK | ERR
Set DHCP server enable (Note 3) | shcfg,dhcps,<yes/no> | OK | ERR
Set DHCP client enable (Note 3) | shcfg,dhcpc,<yes/no> | OK | ERR
Set NMEA TCP/IP port (Note 4) | shcfg,nmeaport,<port> | OK | ERR
Save configuration | shcfg,save | OK | ERR
Load default configuration (Note 5) | shcfg,default | OK | ERR
Exit configuration mode | shcfg,exit | OK | ERR
Get IP Address (Note 1) | shcfg,ipaddr | <n1>.<n2>.<n3>.<n4> |
Get IP Mask (Note 1) | shcfg,ipmask | <n1>.<n2>.<n3>.<n4> |
Get Gateway (Note 1) | shcfg,gateway | <n1>.<n2>.<n3>.<n4> |
Get Primary DNS server (Note 1) | shcfg,pdnss | <n1>.<n2>.<n3>.<n4> |
Get Secondary DNS server (Note 1) | shcfg,sdnss | <n1>.<n2>.<n3>.<n4> |
Get NetBIOS Name (Note 2) | shcfg,nbiosn | <string> |
Get DHCP server enable (Note 3) | shcfg,dhcps | yes or no |
Get DHCP client enable (Note 3) | shcfg,dhcpc | yes or no |
Get NMEA TCP/IP port (Note 4) | shcfg,nmeaport | <port> |

Note 1: <n1>, <n2>, <n3> and <n4> identify each a number in the range from 0 to 255

Note 2: <string> identifies a sequence of characters. Limited to 16 characters
Note 3: <yes/no> is a sequence of character that are equal to yes or to no

Note 4: <port> identifies a number in the range from 0 to 65535.

Note 5: Loading the default configuration does not save them. If the default configuration shall be applied, the save command needs to be executed additionally.

To execute a command, type in the serial terminal/console the command listed in the Command column you wish to execute and press the Enter or Return key of your keyboard (the Enter key tells the ShipTrax device that you have finished writing the command and that it shall be executed). Please note that all commands are case sensitive and no spaces shall exist between the command keywords and arguments.

Note: The commands typed while the device is in normal mode (default mode when the device starts) are not echoed back to the serial terminal/console while you are typing them. They are only written back after pressing the Enter or Return key and only if they have the correct syntax. This means that you will not see what you are typing.

To save the configuration changes, the save command must be executed after performing all changes. The changes will only take effect after restarting/power cycling the ShipTrax device (disconnect USB cable and DC adapter and reconnect afterwards). If the save command is not executed, the changes will be discarded.

Note: Before power cycling the device, close the serial terminal/console port.


Default configuration

The ShipTrax device uses the default configuration settings listed below when it leaves the factory. These can also be loaded by using the shcfg,default command indicated in the previous section.

Setting | Value
IP Address | 192.168.1.205
IP Mask | 255.255.255.0
IP Gateway | 192.168.1.1
IP Primary DNS Server | 192.168.1.1
IP Secondary DNS Server | 0.0.0.0
NetBIOS Name | SHIPTRAX
NMEA Port | 10110
DHCP Server Enabled | no
DHCP Client Enabled | no


Examples

The examples below show the sequence of commands that can be send and their respective response. For the simplicity of the examples, each one assumes that the ShipTrax device has currently the default configuration.

Get device identification

Command | Response
shsys,ident | AirNav ShipTrax – www.airnavsystems.com Firmware Version 1.02 Serial Number: ANSH10001 MAC Address: 14-EE-9D-00-00-01

Note: The serial number and MAC address are unique for each device. The ones indicated are merely examples

Get current IP address

Command | Response
shcfg,enter | OK
shcfg,ipaddr | 192.168.1.205

Get NetBIOS name

Command | Response
shcfg,enter | OK
shcfg,nbiosn | SHIPTRAX

Get DHCP server enable/disable state

Command | Response
shcfg,enter | OK
shcfg,dhcps | no

Change default IP address, IP mask and gateway

Command | Response
shcfg,enter | OK
shcfg,ipaddr,172.16.0.5 | OK
shcfg,ipmask,255.255.0.0 | OK
shcfg,gateway,172.16.0.1 | OK
shcfg,save | OK
shcfg,exit | OK

Note: You need to power cycle the device for the changes to take effect

Change NetBIOS name

Command | Response
shcfg,enter | OK
shcfg,nbiosn,MYSHIPTRAX | OK
shcfg,save | OK
shcfg,exit | OK

Note: You need to power cycle the device for the changes to take effect

Enable DHCP client

Command | Response
shcfg,enter | OK
shcfg,dhcps,no | OK
shcfg,dhcpc,yes | OK
shcfg,save | OK
shcfg,exit | OK

Note: You need to power cycle the device for the changes to take effect

Enable DHCP server

Command | Response
shcfg,enter | OK
shcfg,dhcpc,no | OK
shcfg,dhcps,yes | OK
shcfg,save | OK
shcfg,exit | OK

Note: You need to power cycle the device for the changes to take effect

Load default settings

Command | Response
shcfg,enter | OK
shcfg,default | OK
shcfg,save | OK
shcfg,exit | OK

Note: You need to power cycle the device for the changes to take effect


Troubleshooting

Configuration Troubleshooting

This section describes a few typical problems that may be encountered when trying to configure the ShipTrax device.

Problem description

Possible cause and solution

I have connected the ShipTrax device to the host computer but the power LED doesn't turn ON
· If you are connecting the device through the serial interface, ensure the DC adapter is properly connected to the ShipTrax device and to the power supply

· If you are using the USB interface, the host's USB port may not be delivering the required power. Connect the DC power adapter to the ShipTrax device

I see text starting with !AIVDM on the serial terminal when I'm trying to configure the device
· This is the received data. Disconnect the antenna from the device.

Note: You may still get some text like this with the antenna disconnected while the device is operating in normal mode. Once you enter the configuration mode, this text will not appear any more

When I'm writing commands on the serial terminal, everything I type appears twice
· Your serial terminal is probably configured to echo locally everything you type. Check the settings of your serial terminal and disable the local echo option

I'm writing commands, but I don't get any output
· Ensure the device is properly connected to the host computer

· Ensure you have used the correct serial port configuration and that the you are able to open a serial port session using your serial port terminal/console (no other application is using the port)

· Ensure the commands you type don't have spaces in between and are written in lower case. The command shcfg,ipaddr is a valid command, but shcfg, ipaddr or SHCFG,ipaddr are not a valid commands.

· If the device is in normal mode (default when the device starts), everything you type is not displayed immediately. Only after pressing the Enter or Return key, will the command be displayed on the console (only if it is valid). In this mode only two commands are supported: shsys,ident and shcfg,enter

I receive an error when I type a command in configuration mode
· The parameters passed to the command are probably out of range. For example, shcfg,ipaddr,192.168.333.1 contains an invalid IP address (333 is out of range)

I can't enable the DHCP client. The command returns ERR
· The DHCP client and server can not run simultaneously. Disable the DHCP server first and then try to enable the client again

I can't enable the DHCP server. The command returns ERR
· The DHCP client and server can not run simultaneously. Disable the DHCP client first and then try to enable the server again


Shortcut Keys

AirNav ShipTrax use can be easier by using shortcut keys.

F1 – Opens help file in the appropriate topic

ESC – Opens Full Screen Mode

F6 – Centres map at home

F3 – Take screenshot

F4 – Start recording

F12 – Open Mylog

Above: Map In Fullscreen mode


Maps Toolbar

This Toolbar provides methods of editing the current map view.

Icons (from the left to the right):

· Set map to
· Resize map to full window extents
· Zoom in
· Zoom out
· Zoom Back
· Zoom Forward
· Pre-defined Map Colors (you can define them in the preferences window)
· Satellite Layer download, save and load
· Open Street Map Layer download
· Map projections
· Pan Map with Active Ship
· Radar Rings
· Propagation Rings
· Maximum Range Polar Diagram
· Geographic Coordinates Grid
· General map labels (routes, railroad, elevation)

Please note that you can access other map features by clicking your right mouse button over the map.

Working with maps

AirNav ShipTrax new graphical approach gives you the chance to use one of the most sophisticated map interface currently available in any Ship tracking application.

Map functions are available through the map toolbar, or by using your right mouse button over a map.You may zoom, resize, and change the projection type, fit to screen and hide/show map layers using the map toolbar. The easiest way to edit a map is using your mouse buttons.

Pan and Rotate

1- Hold down your left mouse button

2- Move your mouse until you move the map to the desired location

Resize

1- Hold down your right mouse button

2- Move your move to resize the map as desired

See Custom Outline Maps in the Advanced Users section for information on displaying custom maps.

Avoid Label Overlap

You can avoid ship labels being overlapped. This can be done automatically or manually.

Automatically:

Click Track menu, Avoid Label Overlap or F9.

All calculations, label rotation and resizing will be made in order to find the best way each label should be displayed.

Manually:

1- Move the mouse cursor to an area over the label you want to resize.

2- Hold the Shift Key down and at the same time move the mouse. The label will move to where the mouse cursor position.

3- Release the Shift key. The label will remain with its current direction and size.


Location Toolbar

It is easy to locate a port on the map.

To locate a port select one on the locate drop-down box and then click the Locate button.


Filters Toolbar

The filters toolbar allow you to select what Ships are shown on the map.

By default all the Ships will be shown.

For more information on how to use filters please go to Using Filters section.


MyShips

MyShips and Network Tabs

This is probably the most important areas of the software after the map display. Here you can view detailed information on each Ship being received.

· The MyShips Tab shows local ships received by your hardware and/or TCP/IP connection.
· The Network Tab shows Ships received worldwide by other users.

At the top you have a Quick Filter function. By default the filter is turned off and all Ships are shown.

The following data for each Ship appear on each column:

· Changed: Last Time (UTC) the Ship Information was changed
· Tracked: Last Time (UTC) tracking information was received
· Binoculars Icon: shown if the ship has a photo
· Globe Icon: shown if the Ship is being shown on the map
· Status: status of the Ship (NA means not available)
· Callsign: Ship's Callsign
· Flag: Country flag of the Ship's registration
· Name: Ship's Name
· Ship Type: Type of ship (Cargo, passenger etc)
· Dest: Destination that the ship is broadcasting by AIS
· Ln: Length of the ship in meters
· Bm: Beam of the ship in meters
· Dr: Draught of the ship in meters
· Spd: Speed of the ship in Knots
· Crs: Course
· Hdg: Heading
· IMO: IMO number of the ship
· MMSI: MMSI number of the ship
· Latitude
· Longitude
· Country: Country ship is registered to.
· ETA
· GPS Bow: distance the GPS is from the bow
· GPS Port: distance the GPS is from the port
· GPS Stern: distance the GPS is from the stern
· GPS Starboard: distance the GPS is from the starboard
· TypePosFix: Type of positioning system – such as GPS, DGPS or LORAN-C.
· DTE Flag
· Nav Status
· Rate Of Turn
· Pos Acc: Position Accuracy
· Dist (NM): Distance from home.
· Brg: Bearing from home.

You may choose which columns are seen on the grid on the Preferences panel.

You may order data by clicking on the title of each column.

At the bottom of the grid you will see detailed ship information including a photo of the selected ship. (Your computer must connected to the internet to download ship photos, but once the photo has been downloaded by ShipTrax, it will appear even if you do not have an Internet connection - useful for operating ShipTrax from a laptop). Click on the photo to see a larger picture. This feature is a result of a partnership between AirNav Systems and Shipspotting.com , the world's biggest databank of Ship photos. As the picture search is done by IMO, the picture you see is of the Ship being received.

Show MyLog Entries


MyLog

MyLog Tab

MyLog is a unique feature where you can maintain a list of all received Ships.

In other words it's your received ships collection.

At the top you can use any of the quick filters available to easily look at data. The Explore Photo Folder button opens the folder where ship photos are stored in Windows Explorer.

The Ships Grid columns show:

· Name: Ship Name
· Callsign: Ship callsign
· Ship type
· Length in Meters
· Beam in Meters
· Country: County of registration
· MMSI: MMSI number
· IMO: IMO number
· First Time Received: Date and Time the ship was received for the first time
· Last Time Received: Date and Time
· Comment: User comment

The Voyages Grid Columns shows details for the selected ship in the Ship Grid:

· Destination: Destination recorded for that voyage
· MsgCount: Number of messages received from the ship for the specified voyage.
· StartTime: The time that the ship was first received for that voyage.
· EndTime: The time that the ship was last received for that voyage.
· StartGS: Speed the ship moving when it was first received for that voyage.
· EndGS: Speed the ship moving when it was last received for that voyage.
· StartPosition: position the ship was first received at for that voyage.
· EndPosition: position the ship was last received at for that voyage.

One picture of the selected ship is shown on the right if available.


Alerts

Alerts Tab

One of the most useful features of AirNav ShipTrax is the ability to send an email message, receive a pop-up notification or a sound warning each time a specific Ship Name, IMO, MMSI, etc is received. This is accomplished in the Alerts Tab.

Detailed information on how to setup your custom Alerts can be found at Creating Alerts


Reporter

Reporter Tab

Using the Reporter feature you can share with your friends details on which Ships you are receiving with AirNav ShipTrax.

To properly use this feature you have to generate a report. Do this by selecting which date range you want (Today's entries or Yesterday's entries) and then click the Generate button. Then you can opt to save your report (by copying it to the Windows clipboard or by saving it to a file).

A Draft of the generated report is shown on the "Report Draft" tab. You can change this tab by editing directly inside the software. After entering the subject and recipient email for the report, click the Send Now button to send it to your friends. There is also the option to automatically send the report at midnight daily.

You can check which reports have been automatically sent in the "Automatic Report Log" tab.

See Creating Reports for further details.


Preferences

You can customize the way the application works. This is done in the Preferences Windows accessible thought the File menu.

This window is organized into 4 tabs:

· General

· Set Time and Date: opens Windows Time/Date properties box
· Use Local Times on MyLog
· Internet Proxy Settings
· Clear Drop-Down list histories.

Screen Shot Auto FTP Upload

This function allows the automatic FTP upload of a jpg screen shot to a location of your choice. Users should ensure that they are not breaking any local laws by uploading data to the web.

Active: Tick to activate the Auto FTP upload

Username: The Username provided by your ISP to access your web domain

Password: The Password used to access your web domain

Host: Host name to access you web domain e.g. homepages.demon.co.uk

Port: Port for FTP upload - normally Port 21

Folder: Folder for FTP picture on web domain e.g. /dcroot/ShipTrax

Legends and Labels

· Clear/reset polar diagram: Do this if you change your antenna site to see if your new one is better.
· Draw Path Vector: A dashed line is projected from the ship symbol in the direction of travel on the map if this is selected.
· ... Seconds to Remove Trail Lines: Enter the number of seconds you want the dotted trail line to persist.
· Change font: Select the font and size the ship labels will use. The default is terminal size 8.
· Network labels followed with *: Select this if you want the network ships on the map to appear with a * after the name to aid differentiating between hardware and network ships.
· Draw home location Legend: Mark your home location on the map.
· Grid visible columns: Untick columns you don't want in the list.

Note: See Timeout Settings in the Advanced Users section for further details on settings.

· ShipTrax

· Data Input section: This is covered in detail in the Software Installation section.
· Share received data to ShipTrax Network: Tick this if you want to share your data with other ShipTrax users.
· Share received data on port 40004: Tick this to output raw AIS NMEA messages on TCP port 40004 for use in other programs
· Download ship photo: Tick this if you want to download a photo of the ships you receive.

· Home Station Data

· Home Location: This is explained in detail in the Software Installation section
· Station Data: This is explained in detail in the Software Installation section

· Map Colors

· Customize the way maps are drawn. Left click on the color panel to change a map color.
· If you wish to save your color settings for later use, use Export to save the settings file in the AirNav ShipTrax/Color directory.

· Your custom color settings will then appear in the Map Toolbar drop-down list.

Note that you can share your settings with a friend by sending them the .mcl file

The Two Colour schemes supplied in ShipTrax


File

File Menu

Screen Shot: Create, Save, Share and Explore Screen Shots.

A screenshot created by ShipTrax

A screenshot created by ShipTrax

Play Recorded File: See the Recorder/Replay section

Database Explorer: See the Database Explorer section

Preferences: Opens the preferences window. Click here to learn more

Exit: Closes AirNav ShipTrax


Filters

File Menu

You can select which data you want to be seen on the map.

For more information on filters, please read the Using Filters section.

New Filter: Clears the filter being used and creates a new one.

Open Filter: Reads a Filter file saved in a file and loads it into the active view.

Save Filter: Saves the current Filter file to disk using the current Filter name.

Save Filter As: Saves a filter in a specified file.

Advanced Filters: Opens the Advanced Filters Window


Database Explorer

AirNav ShipTrax comes with 3 tables.

· Flags
· Ports
· Ships

You can browse, search and edit database settings using this Window.

At the bottom left of the Database Explorer Window the total number of records on the current active table is shown.


Map

Maps Menu

Set Map To:

Quickly pans and zooms the active map to a desired location.

Open/Save:

New, Open and Saving map functions.

Satellite Layer:

Download a satellite image for the map area.

Load a previously downloaded satellite image.

The satellite layer works in just the same way as the normal map window, except that the area covered by the satellite picture only covers the current area of the map window. Panning the map will move the satellite picture off the screen. Also, the satellite picture is at a fixed zoom level, so if you zoom in or out, download a new satellite layer once you have the area of interest in the window.

All the usual map overlays are available, although you may wish to create and save a new colour scheme for use with satellite overlays

OSM Layer:

Download a High resolution Open Street Map image for the map area.

The OSM layer works in just the same way as the normal map window, except that the area covered by the OSM picture only covers the current area of the map window. Panning the map will move the satellite picture off the screen. Also, the OSM picture is at a fixed zoom level, so if you zoom in or out, download a new OSM layer once you have the area of interest in the window.

All the usual map overlays are available, although you may wish to create and save a new colour scheme for use with OSM overlays

Full Screen:

View the ShipTrax map full screen without the ship lists or menu bars. Press the Esc key to return to the normal view.

All other map functions are self explanatory.

For more information on AirNav ShipTrax maps please go to the Maps Toolbar section.


Tools Menu

In this menu you can access the most important AirNav ShipTrax features.

Interface:

Choose to whether the ShipTrax Interface should be visible and where on the screen it you want it to be placed.

MyLog:

View the Mylog database to see ships detected and logged.

MyShips:

View the MyShips tab to see the Live ship list

Connect to serial port or TCP/IP:

Opens the "ShipTrax" preference menu

Network:

View the Network tab to see the Network ship list

MyFleet:

View the MyFleet tab to access the Fleet Watch

Alerts:

View the Alert tab and set alerts for Live and Network ships

Network Account Information:

Information on your account usage. An Internet connection is required.


Window

Window Menu

Restore Desktop:

Restores the desktop window settings to those recorded using the Record Desktop option

Record Desktop:

Records the current positions of the desktop windows

Tile Horizontally/Vertically:

Sets all the open windows to be tiled horizontally/vertically (map or vertical tracking windows).

Cascade:

Rearranges all opened windows (map and vertical tracking) in AirNav ShipTrax so they overlap.

Arrange:

Arranges the icons of minimized forms so that they are evenly spaced and don't overlap.

Close All:

Closes all map and Vertical Tracking opened windows.

Close:

Closes the selected map window

Opened Windows:

A list of all currently opened maps.


Help

Help Menu

Contents:

Opens Help File Contents.

Online Support:

Get support in less than 24 hours using our online support ticketing system.

Forum:

Join the online AirNav community to discuss ShipTrax and learn from other users.

AirNav Forum

AirNav Systems Online: Check for program updates and news.

Check for Updates: If you are connected to the Internet, click here to download program patches/updates.

Welcome: Opens the AirNav ShipTrax Welcome Window.

About: Opens the program about box with author information. Displays the current software and firmware version information.


Custom Outline Maps

Outline files are used to draw maps on the ShipTrax map screen.

Once you have downloaded or created outline files:

1.) Go to your ShipTrax outlines folder (Usually however dependant on your drive name C:\AirNav Systems\AirNav ShipTrax\outlines)

2.) Open that folder and place your outlines files in there

3.) Close ShipTrax if it is open and start ShipTrax again

The outlines should now be displayed on your map. If they do not appear go to the Menu Map and click Outlines. If you cannot see the outlines, make sure you have not changed the color to that of the background in Preferences | Colors.

To hide Outlines, go the ShipTrax Map Menu and untick Outlines or delete the specific outline file from the Outlines folder.

Above: A detailed port outline.

Above: A detailed port outline.

Airspace and airfield outline files are available at the AirNav Utilities Website


Data Output on Port 40004

The data received by ShipTrax is available over TCP port 40004 to use for external applications.

The feed works the following way:

1. Your hardware supplies AIS messages to the ShipTrax software.

2. The software decodes the messages and displays the information on the map and list.

3. The software broadcasts every AIS message as received from serial/USB

The message output Format is Raw NMEA AIS sentences.

To see the raw data output, Run Telnet, then type "open localhost 40004". Data sharing output in add-on compatible format is available on Port 40004


Timeout Settings

The ShipTrax Timeout settings are accessible from the Preferences | ShipTrax menu.

Minutes to mark a ship as timeout: Set this to mark the status of the ship as timeout after the number of minutes specified. Two low a setting will mean ships will be wrongly displayed as timeout. Under certain circumstances a ship may only transmit every 3 minutes so if you had a timeout of 2 minutes the ship would be marked as timeout even if it was well within your range.

Minutes to hide timeout ships: Set this to remove a ship from the map and list however many minutes after it has been marked as timeout. If you had set for a ship to be marked as timeout 5 minutes after the last message is received and for timeout ships to be hidden after 2 minutes it would be 7 minutes before the ship moving out of your range would disappear.


Hardware Connection

Hardware Connection Problems

Please refer to the Hardware Guide for the function of the LED lights on your ShipTrax receiver.

When ShipTrax is run, the program will attempt to connect to the hardware receiver. Look at the hardware connecting light at the bottom of the ShipTrax screen. If the light is green then the hardware is connected and you will see Ships on the map and in the MyShips list.

Hardware, TCP/IP and Network all connected

Hardware, TCP/IP and Network all connected

If the light is red, then the hardware receiver in not connected correctly or it is connected by TCP/IP.

· Check that the ShipTrax hardware receiver is connected to your computer using the supplied USB or serial cable.
· Check the LED lights on the hardware receiver to see what the lights are indicating. See the Hardware Guide.
· See if you have the hardware and software configured in accordance with the instructions in the Hardware and software installation sections of the getting started section

For further assistance, contact AirNav Support at support@airnavsystems.com


Network Connection

Network Connection Problems

See the AirNav ShipTrax Network section for a description of the network function.

Connecting to the Network

To connect to AirNav ShipTrax network you need to have your computer connected to the internet and have a valid network account . Open the ShipTrax Interface if not already open and go to the Network tab and make sure that the "Receive ShipTrax Network Data" check box is ticked. Look at the Network connection status light at the bottom of the ShipTrax Interface panel. Data is downloaded each 10 minutes.


How to Order

To buy AirNav ShipTrax please visit AirNav Systems web site at http://www.airnavsystems.com and click on the "Buy Now" link on the top.

There are several ways to order from Online Order with a credit card, to phone and FAX.


Logon Window

When you start AirNav ShipTrax you will be presented with a Logon Window.

Enter your registration details - available on the sticker on CD Cover shipped with the product.

For Example:

Username: PGANSH123456

Password: 123456789

If you are not a registered user you will be able to see a Demonstration of the program capabilities by clicking the "Start Demo" button.

For information on how to order AirNav ShipTrax please go to How to Order


ShipTrax 3D

 Top Previous Next

AirNav ShipTrax 3D is a complementary product available for purchase from AirNav systems. ShipTrax 3D has all the functions of ShipTrax, with the addition of a 3D viewing option using a Google Earth plug-in. Shiptrax 3D requires an active Internet function to access Google Earth and to display the 3D window.

Above: The ShipTrax 3D user interface showing the 3D window

Above: The ShipTrax 3D user interface showing the 3D window

Above: The ShipTrax 3D user interface showing the 3D window and 2D map in a split view

Above: The ShipTrax 3D user interface showing the 3D window and 2D map in a split view

Above: ShipTrax 3D showing a fullscreen view of Copenhagen.

Above: ShipTrax 3D showing a fullscreen view of Copenhagen.


Shiptrax_3d_options

Menu Options

Above: The 3D View settings Menu

Above: The 3D View settings Menu

Left-Clicking on an aircraft in the 3D view will produce a pop-up box with more information on that ship. Adjust the display time of the pop-up box using the 3D View Settings.

Above: Left-click on an aircraft in the 3D view to see more details

Above: Left-click on an aircraft in the 3D view to see more details

Above: Click on the Split View button to show 2D and 3D views

Above: Click on the Split View button to show 2D and 3D views

Above: 2D and 3D views can be zoomed and panned independently

Above: 2D and 3D views can be zoomed and panned independently

Above: use the External KML Manager to load Google Earth overlay files

Above: use the External KML Manager to load Google Earth overlay files

Above: A Google Earth .kml file of a live cloud layer being displayed in the 3D view

Above: A Google Earth .kml file of a live cloud layer being displayed in the 3D view


3D_View_Settings

Access the ShipTrax 3D View settings via the 3D View menu option on the menu bar.

The 3D View tab in the Preferences window gives access to the 3D Viewing options

3D View Refresh Settings

KML Update Rate - Use this setting to vary the number times the ship positions are refreshed. Use a higher setting on a slow computer. Lower settings look better but can cause stability issues on slow computers.

General Settings

The General Settings allow you to customise the 3D display to suit your requirements and the performance of your PC.

1. Show Ship Labels - This shows or hides the ship labels in the 3D view. Note that the content of the label is set using the 3D View Ship Label setting.

2. Show Sunlight/Darkness - This allows you to display the sunlight and darkness on the Google Earth view.

3. Show Borders and Place Names - This allows the Google Earth borders and place names to be displayed.

4. Show Selected Ship Info Balloon for X Seconds - This sets the time for the Ship information Balloon (Google Earth information panel) to be displayed before it automatically clears.

7. Show Home Station Location - This setting displays your Home location on the Google Earth map as set in RadarBox File>Preferences>Home Station Data.

8. Hide 3D Legend - This setting hides the ship type colour legend from the top of the 3D view.

Ship Selection

1. X Default Number Of Trail Points - This setting lets you chose the length of the trail lines in 3D

2. North View on Select - When the ship is selected by double-clicking on it in the list the aircraft will be viewed from the front right. If this setting is ticked, then the view will always be to the north, irrespective of the direction of the ship's heading.

3. Closeup View - If this is selected, the view of the aircraft will be up close.

3D View Ship Labels

Select the information to be displayed in the Ship label shown in the 3D view window.

The Ship label size can be adjusted using the Label Size slider.

Ship Icon Size

1. Scale Icon to Detected Ship Length and width - The Icon will be scaled depending on the ship length and width. For example an icon of a 100m X 20m ship will show as twice the length and size of the one for a 50m X 10m

2. Manual Scaling - This setting lets you choose the size and of the ship Icons manually. All ship Icons will be the same size.